Description

Dear Mr or Mrs

I hope you are doing well, I am trying to check birthweight as an initial outcome. I know that xwavedat has the birthweight of only

BHPS participants. So I merged each w_newborn with w_child to include birthweight and breastfeeding measures to the child data (I

merge the datasets I need within a wave, for instance, a_indall, a_indresp, a_hhresp etc) as w_hidp and w_pno changes across

waves.

However, the birthweight for the first wave is in a_natchild, yet I was not able to use the variables or merge it with any other datasets

Below, I attached a short do.file which shows what I did.

Would it be possible to have a look and help ?

Please do let me know if my question or the do.file is not clear

Thanks a lot

Best Regards

Omer

History

#1 - 11/17/2023 02:29 PM - Understanding Society  User Support Team

- Status changed from New to In Progress

- Private changed from Yes to No

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

We aim to respond to simple queries within 48 hours and more complex issues within 7 working days.

Best wishes,

Understanding Society User Support Team

#2 - 11/20/2023 10:25 AM - Understanding Society  User Support Team

- Status changed from In Progress to Feedback

- % Done changed from 0 to 50

Hello Omer,

I suggest reviewing the Pregnancy and Early Childhood (PEACH) file (SN9075). The study gathered data from all children reported in the main

survey. The information is at the child-level, using each child’s unique person identifier number to make them identifiable across all waves. The data

include, among others, birth weight.

Please note that the PEACH file excludes children that in wave 1 were older than 6 years. If you wish to add this subsample you may append those in

wave 1 a_natchild with birthweight to PEACH to have the full sample. Please be aware that the pidp in a_natchild is the parent's, not the child's.

If you want to follow this approach, note that code “-32 N/A - only in child file" it's for children that have been reported in the child file, but we couldn't

find them neither in the “newborn” file nor in the “natchild” files. Consequently, specific information (such as birth weight) for these cases is

unavailable.

For more details regarding the PEACH file, please refer to 

https://www.understandingsociety.ac.uk/blog/2023/07/03/%E2%80%98peach%E2%80%99-data-%E2%80%93-a-single-source-on-child-development

-information
https://www.understandingsociety.ac.uk/blog/2023/07/03/%E2%80%98peach%E2%80%99-data-%E2%80%93-a-single-source-on-child-development-information
https://www.understandingsociety.ac.uk/blog/2023/07/03/%E2%80%98peach%E2%80%99-data-%E2%80%93-a-single-source-on-child-development-information


I hope this information is helpful.

Best wishes,

Roberto Cavazos

Understanding Society User Support Team

#3 - 02/23/2024 02:20 PM - Understanding Society  User Support Team

- Status changed from Feedback to Resolved

- % Done changed from 50 to 100
